Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPassThroughFilter Class Reference

`#include <vtkPassThroughFilter.h>`

Inheritance diagram for vtkPassThroughFilter:

[legend]
Collaboration diagram for vtkPassThroughFilter:

[legend]
List of all members.

## Detailed Description

Filter which shallow copies it's input to it's output.

Date:
  2002/09/09 17:12:20

Revision:
  1.1

This filter shallow copies it's input to it's output. It is normally used by PVSources with multiple outputs as the VTK filter in the dummy connection objects at each output.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (90%)
  - Cedilnik, Andy (9%)

CVS logs (CVSweb):
  - .`h` (`/Parallel/vtkPassThroughFilter.h)`
  - .`cxx` (`/Parallel/vtkPassThroughFilter.cxx)`

Definition at line 45 of file vtkPassThroughFilter.h.

## Public Types
typedef vtkDataSetToDataSetFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkPassThroughFilter * | SafeDownCast (vtkObject *o)
vtkPassThroughFilter * | New ()
## Protected Methods
| vtkPassThroughFilter ()
virtual | ~vtkPassThroughFilter ()
void | Execute ()

## Member Typedef Documentation

typedef vtkDataSetToDataSetFilter vtkPassThroughFilter::Superclass

| Reimplemented from vtkDataSetToDataSetFilter. Definition at line 48 of file vtkPassThroughFilter.h.

## Constructor & Destructor Documentation

vtkPassThroughFilter::vtkPassThroughFilter | ( |  | ) | `[inline, protected]`

| Definition at line 57 of file vtkPassThroughFilter.h.

virtual vtkPassThroughFilter::~vtkPassThroughFilter | ( |  | ) | `[inline, protected, virtual]`

| Definition at line 58 of file vtkPassThroughFilter.h.

## Member Function Documentation

virtual const char* vtkPassThroughFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToDataSetFilter.

int vtkPassThroughFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

virtual int vtkPassThroughFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

vtkPassThroughFilter* vtkPassThroughFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToDataSetFilter.

void vtkPassThroughFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToDataSetFilter.

vtkPassThroughFilter* vtkPassThroughFilter::New | ( |  | ) | `[static]`

| Create a new vtkPassThroughFilter. Reimplemented from vtkObject.

void vtkPassThroughFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

The documentation for this class was generated from the following file:

- Parallel/vtkPassThroughFilter.h